less_458-3_amd64.deb


Advertisement

Description

less - pager program similar to more

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: less
Package version: 458
Package release: 3
Package architecture: amd64
Package type: deb
Installed size: 253 B
Download size: 121.55 KB
Official Mirror: ftp.br.debian.org
This package provides "less", a file pager (that is, a memory-efficient utility for displaying text one screenful at a time). Less has many more features than the basic pager "more". As part of the GNU project, it is widely regarded as the standard pager on UNIX-derived systems. Also provided are "lessecho", a simple utility for ensuring arguments with spaces are correctly quoted; "lesskey", a tool for modifying the standard (vi-like) keybindings; and "lesspipe", a filter for specific types of input, such as .doc or .txt.gz files.

Alternatives

    Download

    Binary package: less_458-3_amd64.deb
    Source package: less

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install less deb package:
      # sudo apt-get install less

    Files

    • /bin/less
    • /bin/lessecho
    • /bin/lessfile
    • /bin/lesskey
    • /bin/lesspipe
    • /usr/bin/less
    • /usr/bin/lessecho
    • /usr/bin/lessfile
    • /usr/bin/lesskey
    • /usr/bin/lesspipe
    • /usr/lib/mime/packages/less
    • /usr/share/doc/less/LESSOPEN
    • /usr/share/doc/less/README.Debian
    • /usr/share/doc/less/changelog.Debian.gz
    • /usr/share/doc/less/changelog.gz
    • /usr/share/doc/less/copyright
    • /usr/share/man/man1/less.1.gz
    • /usr/share/man/man1/lessecho.1.gz
    • /usr/share/man/man1/lessfile.1.gz
    • /usr/share/man/man1/lesskey.1.gz
    • /usr/share/man/man1/lesspipe.1.gz

    Changelog

    2014-09-08 - Anibal Monsalve Salazar <anibal@debian.org> less (458-3) unstable; urgency=medium * debian/control: Priority: important Standards-Version: 3.9.5 * debian/postinst: add (after adding the /bin/less alternative): update-alternatives --quiet --remove pager /usr/bin/less This change needs to get into one stable release. Patch by Andreas Beckmann. Closes: #694051. * debian/rules: export DEB_BUILD_MAINT_OPTIONS = hardening=+all * Refresh patches.

    2013-06-06 - Anibal Monsalve Salazar <anibal@debian.org> less (458-2) unstable; urgency=low * Merge 458-1ubuntu1 - debian/lesspipe{.1}: Make lesspipe treat ddebs the same as it does debs and udebs (LP: #1180013).

    2013-05-14 - Logan Rosen <logan@ubuntu.com> less (458-1ubuntu1) saucy; urgency=low * Merge from Debian unstable (LP: #1180013). Remaining changes: - debian/lesspipe{.1}: Make lesspipe treat ddebs the same as it does debs and udebs.

    2013-05-11 - Anibal Monsalve Salazar <anibal@debian.org> less (458-1) unstable; urgency=low [ Anibal Monsalve Salazar ] * New upstream Major differences between version 451 and version 458: - Allow backslash escaping of metacharacters in LESS environment variable if the --use-backslash option is set. - Don't quit if syntax errors are found in command line options. - Increase sizes of some internal buffers. - Fix configure bug with --with-regex=none. - Fix crash with "stty rows 0". - Fix display bug when using up/down arrow on the command line. Major differences between version 451 and version 457: - Allow backslash escaping of metacharacters in LESS environment variable if the --use-backslash option is set. - Don't quit if syntax errors are found in command line options. - Increase sizes of some internal buffers. - Fix configure bug with --with-regex=none. - Fix crash with "stty rows 0". Revert backslash handling in option string Closes: #695361 * lesspipe: handle *.txz files Patch by Tim Marston Closes: #691981, #691991 [ Wookey ] * Add Multi-Arch:foreign meta-data to allow cross-dependencies Closes: #693318

    2013-05-08 - Adam Conrad <adconrad@ubuntu.com> less (456-1ubuntu2) saucy; urgency=low * Make lesspipe treat ddebs the same as it does debs and udebs.

    2012-11-22 - Wookey <wookey@wookware.org> less (456-1ubuntu1) raring; urgency=low * Add Multi-Arch: foreign meta-data to allow cross-dependencies (LP: #1081611).

    2012-11-12 - Anibal Monsalve Salazar <anibal@debian.org> less (456-1) unstable; urgency=low * New upstream Upload to unstable Major differences between version 451 and version 456: - Allow backslash escaping of metacharacters in LESS environment variable. - Don't quit if syntax errors are found in command line options. - Increase sizes of some internal buffers. - Fix configure bug with --with-regex=none. - Fix crash with "stty rows 0". * man: fix 'There is no -l option ("less --help" for help)' Closes: #692834 * Standards version is 3.9.4

    2012-11-08 - Anibal Monsalve Salazar <anibal@debian.org> less (455-1) experimental; urgency=low * New upstream Major differences between version 451 and version 455: - Allow backslash escaping of metacharacters in LESS environment variable. - Don't quit if syntax errors are found in command line options. - Increase sizes of some internal buffers. - Fix configure bug with --with-regex=none. - Fix crash with "stty rows 0".

    Advertisement
    Advertisement